/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var failedImages = ko.observableArray([]),
        failedImageIds = ko.observableArray([]),
        successImages = ko.observableArray([]),
        invalid = ko.observableArray([]),
        notSupported = ko.observableArray([]),
        downloadFailed = ko.observableArray([]),
        general = ko.observableArray([]),
        errorMessages = ko.observableArray([]);

    return {
        failedImages: failedImages,
        successImages: successImages,
        failedImageIds: failedImageIds,
        invalid: invalid,
        notSupported: notSupported,
        downloadFailed: downloadFailed,
        general: general,
        errorMessages: errorMessages
    };
});
